Subject: [Mobopts] Re: Re: Performance and Policy : Inter-technology mobility policy control

From: "Thaker, Shardul (Shardul)** CTR **" <[email-masked]>
Date: Tue, 20 Jun 2006 10:50:16 +0530

Hi Rajeev & All,

I am interested to explore Inter-technology mobility field for research.
Infact i was looking at Inter System (technology) handover issue since quite
some time. 

Can you throw some light on the same?

Thanks.

Shardul Thaker
Research Intern 
Bell Labs India

-----Original Message-----
From: [email-masked] [mailto:[email-masked]]
Sent: Monday, June 19, 2006 9:30 PM
To: [email-masked]
Subject: Mobopts Digest, Vol 25, Issue 10

Send Mobopts mailing list submissions to
	[email-masked]

To subscribe or unsubscribe via the World Wide Web, visit
	https://www1.ietf.org/mailman/listinfo/mobopts
or, via email, send a message with subject or body 'help' to
	[email-masked]

You can reach the person managing the list at
	[email-masked]

When replying, please edit your Subject line so it is more specific
than "Re: Contents of Mobopts digest..."

Today's Topics:

   1. Re: Performance and Policy (Telemaco Melia)
   2. Re: Re: [Mip6] MIP and Upper Layer Protocol interaction
      (Shinta Sugimoto)
   3. Preliminary Call for Papers: MobiArch 2006 (Xiaoming Fu)
   4. Re: Performance and Policy (James Kempf)

----------------------------------------------------------------------

Message: 1
Date: Sun, 18 Jun 2006 18:23:43 +0200
From: Telemaco Melia <[email-masked]>
Subject: Re: [Mobopts] Performance and Policy
To: Rajeev Koodli <[email-masked]>
Cc: [email-masked]
Message-ID: <[email-masked]>
Content-Type: text/plain; charset=UTF-8; format=flowed

Hi all,

Here go some first ideas. Feedback is welcome.

Requirements:
==========
- Unified model for both network side and terminal side

- Network mainly interested in:
    + performance optimization (vertical handovers)
    + roaming across boundaries (inter domain handovers)
    + network controlled and network initiated handovers

- (Multi mode) Terminal interested in:
    + Keep best connectivity (depending on radio conditions...)
    + Receive via multiple interfaces (multihoming, multiple bindings...)
       o management of flows
       o soft handover might be more suitable
    + Power saving (imagine a device with HSDPA, Wimax mobile and WLAN)
       o not at MAC level, rather as a policy
    + Influence on mobility of less volatile information such as context 
(applications)

If people are interested I could come up with a fews slides elaborating 
the above.
What do you think?

regards,
telemaco

Rajeev Koodli wrote:
> Vijay Devarapallli wrote:
>
>> On 6/6/06, Rajeev Koodli <[email-masked]> wrote:
>>
>>> Another topic that comes to mind is policy. Inter-technology 
>>> mobility is
>>> subject
>>> to policy controls when crossing provider boundaries. Yet, I am not
>>> sure we are paying enough attention to policy when designing for
>>> performance.
>>
>>
>> I am very interested in this topic. I have been working on this 
>> recently.
>> let me know if you need someone to write up a problem statement.
>>
> I like the idea of putting together a document. We should dedicate 
> some time
> in Montreal for this topic.
> In the meanwhile, what are the issues? Let's discuss on the ML.
>
> -Rajeev
>
>> Vijay
>
>
>
>
> _______________________________________________
> Mobopts mailing list
> [email-masked]
> https://www1.ietf.org/mailman/listinfo/mobopts

-- 
Telemaco Melia          	[email-masked]
Research Staff Member		Tel: +49 (0) 6221 4342- 142
Network Laboratories    	Fax: +49 (0) 6221 4342- 155
NEC Europe Ltd.         	Web: http://netlab.nec.de
Kurfrsten-Anlage 36
D-69115 Heidelberg
Germany

------------------------------

Message: 2
Date: Mon, 19 Jun 2006 10:38:19 +0300
From: Shinta Sugimoto <[email-masked]>
Subject: Re: [Mobopts] Re: [Mip6] MIP and Upper Layer Protocol
	interaction
To: Rajeev Koodli <[email-masked]>
Cc: [email-masked], Vijay Devarapalli
	<[email-masked]>,	[email-masked]
Message-ID: <[email-masked]>
Content-Type: text/plain; charset="US-ASCII"

Hi Rajeev,

I am catching up on this thread. Please find my comments inline.

On Wed, 07 Jun 2006 10:13:06 -0700
Rajeev Koodli <[email-masked]> wrote:

> Vijay Devarapalli wrote:
> 
> > Rajeev Koodli wrote:
> >
> >> If a MN wishes to change its HoA with a CN (e.g., use a different 
> >> pseudo-hoa for
> >> privacy purposes), it has no _reliable_ way of knowing whether it has
> >> existing sessions with that CN.
> >
> >
> > I read this paragraph three times, but couldn't get
> > the context.
> >
> > if in the privacy context, I assume there is still
> > a *real* HoA. the pseudo HoA appears in the route
> > optimized traffic to the CN *instead* of the real
> > HoA. the CN knows the real HoA and the pseudo HoA.
> > the mapping from the real HoA to the pseudo HoA is
> > done using the binding update list at the MN and
> > the binding cache entry at the CN.
> >
> This is a way to do it. Nevertheless, keeping the privacy issue aside..
> 
> > if not for privacy, perhaps the mobile node shouldn't
> > change its HoA abruptly, but let existing sessions
> > continue with the existing HoA and use the new HoA
> > for new sessions. the mobile node would also have
> > to update the DNS entry if it wants its FQDN to
> > resolve to the new HoA.
> >
> The problem here is how does the MN know to "let the
> existing sessions continue with the existing HoA"? If there is no CN's
> address in BUL, surely the MN can choose a suitable HoA. For
> a CN with which it has a binding, it has no reliable way of knowing
> whether there are any ULP sessions.

If you need to maintain the sessions while changing the HoA
from one to another, I think you need additional mechanism
than plain MIPv6.  MIP (no matter IPv6 or IPv4) is designed
to assure the reachability to a given HoA with the current
location of the mobile node (CoA).  If the app wants
to change HoAs for some reason (I assume that privacy is the
main interest), there is a need to maintain the mapping of
the identity and the locator of the mobile node.

One option would be to run Shim6 over MIPv6.  Such usage has
already been discussed in Shim6 WG.  By mobile node establishing
Shim6 context with its HA/CN, it could utilize multiple HoAs
without annoying upper layer protocols.  However, I am not sure
if it fulfills your requirement especially in terms of privacy
(hiding the identity, which is MN's HoA in this case).
Would you see any problem with this approach ?  I see that
signaling overhead may also be a concern (to run both Shim6
and MIPv6).

I have some additional questions:

- If privacy is the main concern, would you think 
http://www.ietf.org/internet-drafts/draft-dupont-mip6-privacyext-03.txt
would help to solve your initial requirement ? If not, could
you please tell me why ?
- Do you assume that different HoAs that mobile node may
request are derived from different home prefixes ? Or are you
considering that the node generates HoAs from a single prefix
with privacy extension ?

Regards,
Shinta

------------------------------

Message: 3
Date: Mon, 19 Jun 2006 16:28:32 +0200
From: Xiaoming Fu <[email-masked]>
Subject: [Mobopts] Preliminary Call for Papers: MobiArch 2006
To: [email-masked],  [email-masked]
Message-ID: <[email-masked]>
Content-Type: text/plain; charset=windows-1252; format=flowed

Dear colleagues,

Please find below the preliminary call for papers for MobiArch'06
workshop. Our appologizes if you receive multiple copies.

Best regards,
Xiaoming Fu

--------------------------------------------------------------------
           The First IEEE/ACM* International Workshop on
    Mobility in the Evolving Internet Architecture (MobiArch 2006)
            held in conjunction with IEEE GLOBECOM 2006,
           San Francisco, CA, USA, November/December 2006
        http://user.informatik.uni-goettingen.de/~mobiarch/
             (* - IEEE/ACM sponsorship pending approval)
--------------------------------------------------------------------

E-mail contact : [email-masked]

CFP in printable pdf format can be downloaded in
http://user.informatik.uni-goettingen.de/~mobiarch/Cfp_MobiArch06.pdf

Scope:
=====
With the recent development of technologies in wireless access and
mobile devices, terminal and network mobility have become an
indispensable component of today's Internet vision, and this is likely
to continue in the near future, while affecting the way of the whole
Internet architecture design. Yet, issues like efficient mobility
management and optimizations, locator-identifier split, multi-homing,
security and related operational/deployment concerns are still in their
early stages of development. Moreover, the Internet architecture, its
end-to-end principles and business models will require rethinking due to
the massive penetration of mobility into the Internet.

The MobiArch'06 workshop solicits papers, both from researchers and
practitioners, dealing with architectures, protocols, and experiences
with emerging technologies on mobility support in the Internet, with an
emphasis on new mobility protocols, mobility and location management,
mobile network performance, multi-homing, security, architectural
impacts and deployment considerations.

The workshop will include presentations and discussions of accepted
technical papers, as well as invited talks and panel sessions.

Topics of Interest:
==================
Original contributions are solicited in all aspects of architectural
issues and system support for mobility in the Internet, including but
not limited to:
- Mobility impact on the Internet architecture
- Architectures and protocols for mobility support in the Internet,
ranging from approaches in link layer, network, transport to
session/application layers and cross-layer design
- Locator/identifier split, multihoming and load sharing issues
- Security and privacy issues in mobility networks and impacts to
Internet architecture
- QoS and middlebox issues in mobility networks and impacts to Internet
architecture
- Economic and deployment issues of mobility infrastructure designs

Submissions:
===========
Submissions should be made to MobiArch'06 EDAS entry:
http://edas.info/4920, following the guidelines in MobiArch'06 webpage:
http://user.informatik.uni-goettingen.de/~mobiarch/

Important Dates:
===============
Submission Deadline: Monday, July 24, 2006
Acceptance Notification: August 31, 2006
Camera-ready version due: September 27, 2006
Workshop: One-day in GLOBECOM 2006 (to be announced)
GLOBECOM Main Conference: November 27-December 1, 2006

GENERAL CHAIR
=============
Jon Crowcroft, U. Cambridge (UK)

PROGRAM CO-CHAIRS
=================
Xiaoming Fu, U. Goettingen (DE)
Katherine Guo, Bell Labs (US)

PROGRAM COMMITTEE
=================
Jari Arkko, Ericsson (FI)
Raouf Boutaba, U. Waterloo (CA)
Jon Crowcroft, U. Cambridge (UK)
Wesley Eddy, NASA/Verizon (US)
Xiaoming Fu, U. Goettingen (DE)
Ivano Guardini, Telecom Italia Lab (IT)
Katherine Guo, Bell Labs (US)
Dieter Hogrefe, U. Goettingen (DE)
Yuming Jiang, NTNU (NO)
Cornelia Kappler, Siemens (DE)
Ben Liang, U. Toronto (CA)
Meng How Lim, Intel Research Cambridge (UK)
John Loughney, Nokia Research Center (FI)
Joerg Ott, Helsinki U of Techology (FI)
Charles Perkins, Nokia Research Center (US)
Christian Prehofer, Nokia Research Center (FI)
Henning Schulzrinne, Columbia U. (US)
Hannes Tschofenig, Siemens (DE)
Zhi-Li Zhang, U. Minnesoda (US)
Taieb Znati, U. Pittsburg/NSF (US)

--------------------------------------------------------------------
For more information: http://user.informatik.uni-goettingen.de/~mobiarch/

------------------------------

Message: 4
Date: Mon, 19 Jun 2006 08:30:31 -0700
From: "James Kempf" <[email-masked]>
Subject: Re: [Mobopts] Performance and Policy
To: "Telemaco Melia" <[email-masked]>,	"Rajeev Koodli"
	<[email-masked]>
Cc: [email-masked]
Message-ID: <[email-masked]>
Content-Type: text/plain; format=flowed; charset="UTF-8";
	reply-type=response

"Soft handover" is a L2 technique only. If it is in use, the IP layer never 
sees the outstanding hanodever legs.

I think you mean "make before break" handover, in which the terminal gets 
data plane packets via the old leg while configuring on the new AP via the 
new.

            jak

----- Original Message ----- 
From: "Telemaco Melia" <[email-masked]>
To: "Rajeev Koodli" <[email-masked]>
Cc: <[email-masked]>
Sent: Sunday, June 18, 2006 9:23 AM
Subject: Re: [Mobopts] Performance and Policy

> Hi all,
>
> Here go some first ideas. Feedback is welcome.
>
> Requirements:
> ==========
> - Unified model for both network side and terminal side
>
> - Network mainly interested in:
>    + performance optimization (vertical handovers)
>    + roaming across boundaries (inter domain handovers)
>    + network controlled and network initiated handovers
>
> - (Multi mode) Terminal interested in:
>    + Keep best connectivity (depending on radio conditions...)
>    + Receive via multiple interfaces (multihoming, multiple bindings...)
>       o management of flows
>       o soft handover might be more suitable
>    + Power saving (imagine a device with HSDPA, Wimax mobile and WLAN)
>       o not at MAC level, rather as a policy
>    + Influence on mobility of less volatile information such as context 
> (applications)
>
> If people are interested I could come up with a fews slides elaborating 
> the above.
> What do you think?
>
> regards,
> telemaco
>
>
> Rajeev Koodli wrote:
>> Vijay Devarapallli wrote:
>>
>>> On 6/6/06, Rajeev Koodli <[email-masked]> wrote:
>>>
>>>> Another topic that comes to mind is policy. Inter-technology mobility 
>>>> is
>>>> subject
>>>> to policy controls when crossing provider boundaries. Yet, I am not
>>>> sure we are paying enough attention to policy when designing for
>>>> performance.
>>>
>>>
>>> I am very interested in this topic. I have been working on this 
>>> recently.
>>> let me know if you need someone to write up a problem statement.
>>>
>> I like the idea of putting together a document. We should dedicate some 
>> time
>> in Montreal for this topic.
>> In the meanwhile, what are the issues? Let's discuss on the ML.
>>
>> -Rajeev
>>
>>> Vijay
>>
>>
>>
>>
>> _______________________________________________
>> Mobopts mailing list
>> [email-masked]
>> https://www1.ietf.org/mailman/listinfo/mobopts
>
>
> -- 
> Telemaco Melia          [email-masked]
> Research Staff Member Tel: +49 (0) 6221 4342- 142
> Network Laboratories    Fax: +49 (0) 6221 4342- 155
> NEC Europe Ltd.         Web: http://netlab.nec.de
> Kurfrsten-Anlage 36
> D-69115 Heidelberg
> Germany
>
>
> _______________________________________________
> Mobopts mailing list
> [email-masked]
> https://www1.ietf.org/mailman/listinfo/mobopts
> 

------------------------------

_______________________________________________
Mobopts mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/mobopts

End of Mobopts Digest, Vol 25, Issue 10
***************************************

_______________________________________________
Mobopts mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/mobopts